summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/applications/system/kpowersave/debian/postrm
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2021-07-04 21:06:02 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2021-07-04 21:06:02 +0900
commitbd72eef4a4458f8d2e52609d7b6cf3efe12a0177 (patch)
treeb797d29ee85d482247cfecda13d1fb572e4c4d62 /ubuntu/_base/applications/system/kpowersave/debian/postrm
parent5051f08d847e70346920d72e34da55558b89145c (diff)
downloadtde-packaging-bd72eef4.tar.gz
tde-packaging-bd72eef4.zip
Rearranged applications folder into sub categories.
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'ubuntu/_base/applications/system/kpowersave/debian/postrm')
-rw-r--r--ubuntu/_base/applications/system/kpowersave/debian/postrm26
1 files changed, 26 insertions, 0 deletions
diff --git a/ubuntu/_base/applications/system/kpowersave/debian/postrm b/ubuntu/_base/applications/system/kpowersave/debian/postrm
new file mode 100644
index 000000000..99bd13d89
--- /dev/null
+++ b/ubuntu/_base/applications/system/kpowersave/debian/postrm
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+set -e
+
+package_name=kpowersave-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ remove)
+ dpkg-divert --package $package_name --rename --remove /etc/acpi/powerbtn.sh
+ ;;
+ purge)
+ ;;
+ upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+#DEBHELPER#
+
+exit 0